Delete a secret
curl --request DELETE \
--url https://api.gcore.com/fastedge/v1/secrets/{secret_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/fastedge/v1/secrets/{secret_id}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/secrets/{secret_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}{
"error": "<string>",
"conflicting_ids": [
123
]
}{
"error": "<string>"
}Secrets
Delete a secret
Permanently delete a secret and all its slot values. Secrets in use by applications require force=true to delete.
DELETE
/
fastedge
/
v1
/
secrets
/
{secret_id}
Delete a secret
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Unique identifier of the secret to delete
Query Parameters
When true, deletes secret even if used by applications. Defaults to false.
Response
Secret successfully deleted
Was this page helpful?
⌘I